<?php
/*
webDevStudio
Copyright (C) 2005 Alberto Martnez Fernndez (albertinho_2000@hotmail.com)
                   Israel Ortiz Flores (i_ortiz_flores@hotmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

session_save_path(realpath("../sessions"));
session_start();

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>webDevStudio :: Operation</title>
<link href="../style.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php
	include("head_sections.php");
?>

<table width="780" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="4" height="25"></td>
  </tr>
  <tr>
    <td width="19" valign="top"></td>
    <td width="244" height="72" valign="top">
	<?php include("menu_description_sections.php") ?>
    </td>
    <td width="1"></td>
		<td width="20"></td>
    <td width="516" valign="top">
			<!--
			<br>
			<table width="200" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="31"><img src="../images/news.png" alt="icon users" width="31" height="22"></td>
					<td width="10"></td>
					<td width="*" class="Estilo9">List of news</td>
				</tr>
			</table>
			<br>
			-->
			
			
				<p id="work_context" class="Estilo9">Work context</p>
				<p class="texto">
					Firms usually have several departments in charge to elaborate different sections from the same software. For it they use installed identical development environments in each of department machines. This similarity in the development environments as opposed to the problem of having to depend on each one of the maquinas of the department makes think about a distribution and development under independent common environments for all and independent of developers machines.
				</p>
				<p class="texto">
					webDevStudio is able to create a development environment from a networking (local or remote) only having installed in developers machines a Web navigator. As it is showed in the next image, a server machine will act like pounding power station in the development of software, providing to the developers a sufficiently powerful environment so as to be able to carry out any computer science project.
				</p>
				<center><img src="context1.jpg"></center>
				<p class="texto">
					This server will be in charge to satisfy all the requests that the users solicit to him from a request to create a new user to the compilation of a file in a project. The set of operations that will be able to be made will be explained with detail in later sections.
				</p>
				<div align="right"><a href="#work_context" class="texto"><img src="../images/back.png" border="0" align="middle"> Back</a></div>
				
				
				
				<p id="first_steps" class="Estilo9">First steps</p>
				<p class="texto">
					User will be due to connect to the server machine executing a Web navigator from one of the client machines who have access to the server machine. Next it should be set the corresponding direction to the server machine with the purpose of obtaining the tool home page. Make sure that in the server machine is installed the tool correctly (see Tool installation).
				</p>
				<center><img src="pasos.jpg"></center>
				<p class="texto">
					Once loaded the page correctly the beginning screen will display or what we will call HOME of the tool. From here you can see a small description of webDevStudio as well as a news server that would be in charge to inform to the users on different matters.
				</p>
				<p class="texto">
					The next thing that you should do is register in the system. So as to accomplish it, you must give a fex information which would identify you in the whole system (see User Management). When you hace created a new account, you can start to use the tool with all freedom. You can enter project area so as to create, edit or delete them, see all the backup copies which you have created, etc.
				</p>
				<center><img src="pasos2.jpg"></center>
				<div align="right"><a href="#work_context" class="texto"><img src="../images/back.png" border="0" align="middle"> Back</a></div>




				<p id="tool_management" class="Estilo9">Tool management</p>
				<p class="titular">User management</p>
				<p class="texto">
					A user is identified itself in the system by means of a unique name that we will call user. In order to guarantee that this user is really who claims to be, he will have to provide a private string that we will call password. As much user as password are associated to a user account and this one to a user as well. With the purpose of being able to enter to the system, the user will have to as much insert his user as his password in the areas where he requires to. The tool would verify in its data base that is correct the provided data and will allow the user to enter to its projects.
				</p>
				<p class="texto">
					If a user enters for the first time to the system, he will have the possibility of obtaining a new account with which to work. This process will require the insertion of certain personal data as well as data necessary to identify to him in the system.
				</p>
				
				<p class="texto">
					The tool has two general types of users according to the permissions which they have: the administrators with total permissions and the users themselves with castrated permissions.
				</p>
				<p class="texto">
					Administrators will be those users who will be able to manage the accounts of users created in a while dice. These accounts are stored in a data base MySQL in the server machine so that they will have to be connected to be able to have access to it. They will be allowed them to perform four basic operations: creation, delete, edition and users display.
				</p>
				<p class="texto">
					On the other hand, users themselves will not have sufficient permissions for managing the users in the system. Simply they will be allowed to handle their account data, being able to delete or modify.
				</p>
				
				<p class="titular">Projects management</p>
				<p class="texto">
					Once it has been established the connection with server machine, users will be able to completely manage the most important aspect of the tool: the projects. A project is defined by a series of parameters that will allow the user to develop it suitably.
				</p>
				<center><img src="proyectos.jpg"></center>
				<p class="texto">
					The tool will be in charge to store in its data base all the projects created until the moment so that the users can connect themselves and manipulate them. This manipulation will consist of four operations: visualize or publish the information of the project and delete or work on that project. The users will only be able to have access to the projects through the tool. A project in a while will be given made up of the following components:
				</p>
				<p class="texto">
					<ul class="texto">
						<li>
							<b>Code Files:</b> the code files are the most important part of the project and on which the users worked more. This way, it will be allowed to have an absolute control of such that is explained more in detail in the following section. 
						</li>
						<li>
							<b>Backup copies:</b> each project will maintain several backups with the purpose of preventing futures risks. This aspect also side but thoroughly in next sections.
						</li>
					</ul>
				</p>
				
				<p class="titular">File management</p>
				<p class="texto">
					Arrived at this point, the users will have a project on which they will be able to work. The management of files is made on the work environment of the project which will show the files to us that this project arranges. On each one of them we will be able to make a series of operations to fit them to our interests.
				</p>
				<p class="texto">
					Initially, the user will have to create a new file that will be created in the folder of the user with the assigned name. Next, the file will be available to be opened in the code editor for its modification. Each one of the files that have been created in the project will be able to visualize thanks to a navigator of files who will at any moment show the files that belong to the project opened at this moment.
				</p>
				<center><img src="files.jpg"></center>
				<p class="texto">
					In order to change any of the files one will be due to press directly on the file and next it will be opened in the code editor. As one is in the figure by means of icons, three operations can be made on each one of the files with no need to have them open. First of them it consists of renombrar the file, that is to say, to change the name to him in the server. Second of them it will eliminate the file of the servant completely. Finally, the last one of them allows descargarte the file you to your computer.
				</p>
				<p class="texto">
					Additionally, when a file opened in the code editor it allows to make on this concrete file in a much but high range of operations. To it the tool has a toolbar of operations that will be visible to the user at any moment.
				</p>
				<center><img src="files2_en.jpg"></center>
				<p class="texto">
					All the operations that are in the bar relate directly to the opened file with exception of three:
				</p>
				<p class="texto">
					<ul class="texto">
						<li>
							Create a new file.
						</li>
						<li>	
							Show help panel.
						</li>
						<li>
							Upload a file from your computer to server machine.
						</li>
					</ul>
				</p>
				<p class="texto">
 					Like any code editor, also is the possibility of executing basic operations related to the code text: to cut or copy the text that is selected, to paste it where it is desired, to undo an operation and to redo an operation. Additionally it will be allowed to print the file that is open; this impression will be made of local way the user, that is to say, a dialogue window will be opened where will be the printers that the user arranges.
				</p>
				<p class="texto">
					Finally to mention the four more important operations that they are possible to be made on a file:
				</p>
				<p class="texto">
					<ul class="texto">
						<li>
							To save the file that this being published in the servant. This operation must be conducted by the user since the tool was never in charge to save the file.
						</li>
						<li>	
							To make a backup copy of the project (side ahead for greater detail).
						</li>
						<li>
							To construct the active project (side ahead for greater detail).
						</li>
					</ul>
				</p>				
				<div align="right"><a href="#work_context" class="texto"><img src="../images/back.png" border="0" align="middle"> Back</a></div>
						
				
				
				
				<p id="tool_handling" class="Estilo9">Tool handling</p>
				<p class="titular">Code editor</p>
				<p class="texto">
					The tool incorporates a code editor that will allow the users to publish the code files which they compose the computer science project. Each one of the code files is basically a text file oriented to a programming language with which the only thing that is is the text associated to the file.
				</p>
				<p class="texto">
					The code editor is basically a text area embedded in the work environment where will be the active code file at every moment. Simultaneously it can only be an active file, that is to say, the single editor allows to have open a code file. The name of the loaded file will be in the left part superior and in the zone of text the associated code to the file. The following figure shows the text editor:
				</p>
				<center><img src="editor.png"></center>
				<p class="texto">
					As it is possible to be observed in the figure, the code editor takes to associate a series of components:
				</p>
				<p class="texto">
					<ul class="texto">
						<li>
							<b>Toolbar:</b> They are the operations that the tool allows on the files of the project. 
						</li>
						<li>	
							<b>File navigator:</b> It shows the files of I cosay of the project. 
						</li>
						<li>
							<b>Results:</b> This zone of text will show the results to you of the operations that you are executing from the compilation to the backup creation.
						</li>
					</ul>
				</p>
				
				<!--<p class="titular">Compile &amp; build</p>-->
				
				
				<p class="titular">Backup copies</p>
				<p class="texto">
					Any tool oriented to the development of software must incorporate a mechanism to allow to guarantee a security in the code that is being developed. With this reason, webDevStudio incorporates the possibility of making backups of the files that belong to the project. This backup consists of storing an exact image of the state of the project at the same moment in which the copy is made.
				</p>
				<p class="texto">
					The user will be the one in charge to make these backups by means of the toolbar. Selecting the suitable operation, the name of the backup will be asked for to you and a later confirmation. It is recommended that the name that occurs to the backup is representative. This way, the tool will copy all the code files of the project and it will store them internally.
				</p>
				<center><img src="backup.jpg"></center>
				<p class="texto">
					The tool allows to visualize all backups that the user has created of his respective projects with the purpose of administering them as he is desired. The administration process will consist of three basic operations:
				</p>
				<p class="texto">
					<ul class="texto">
						<li>
							<b>Rename a backup:</b> It will allow to change the name of the file by another one more representative. 
						</li>
						<li>	
							<b>To recover the backup:</b> The recover process consists of leaving the project in the same state that when the backup was made, that is to say, to obtain the code files at that concrete moment.
						</li>
						<li>
							<b>Download a backup:</b> Obtain the backup in your computer.
						</li>
						<li>
							<b>Delete a backup:</b> Delete from server the backup.
						</li>
					</ul>
				</p>
				
				<div align="right"><a href="#work_context" class="texto"><img src="../images/back.png" border="0" align="middle"> Back</a></div>
				
				
				
				
				

			
    </td>
  </tr>
  <tr>
    <td colspan="4" height="25"></td>
  </tr>
</table>

<?php
	include("foot_sections.php");
?>


</body>
</html>
